Password Safe Introduction

 Password Safe

How many passwords and user names do you have to keep track of? Chances are that the answer is "lots." It was bad enough when you only needed a password to access your network or shell account; now many websites want passwords too. Most people resort to keeping a written list of passwords (unsafe) or using the same password on many systems (very unsafe). Now, with Password Safe, you can keep a master list of passwords securely encrypted on your computer. A single Safe Combination unlocks them all.

Password Safe protects your passwords with Bruce Schneier's Blowfish algorithm, a fast, free alternative to DES and IDEA. Details on the Blowfish algorithm, including speed comparisons and an extensive list of products that use Blowfish, are available at http://www.counterpane.com/blowfish

Password Safe allows you to have any number of different password databases. For example, you can store your website passwords in one, your Unix account passwords in another, etc. Don’t forget to backup your various databases often. If you wish to have only one database, no problem. Password Safe will take care of all the detail for you and you don’t need to bother with any of the file handling commands.

Getting Started

You can start protecting your passwords with Password Safe in three easy steps.

1. Creating a Safe Combination

When you first start up Password Safe, it will ask you to create a combination. The combination is just like a password; it can include letters and punctuation as well as numbers. Your safe combination keeps all your other passwords safe, so don't use something that's easy to guess -- especially if someone else could get access to your computer. Safe combinations are case sensitive; "hello" is different from "HELLO".

When you've chosen your combination, type it in the box marked "Safe Combination," then again in the box marked "verify." Then click OK. The OK button will only be activated if you typed the same Safe Combination both times.

Whenever you start up Password Safe, it will reopen (with the proper password, of course) the last open password database. If this database cannot be found, you will be able to browse for another one or create a new blank database.

2. Entering Passwords

After you've created your combination, you can start entering passwords. Just select the menu item titled Add Entry or click the toolbar button. Enter the name of the service this password is for, your username on that service (if any), and then the password itself. You can also set a default username in the Options dialog box.

You can use the "Notes" field to enter any other information you need to remember about the service -- phone numbers, URLs, etc.

3. Retrieving Passwords

To copy a password to the Windows clipboard, just double-click on the desired title. Or you can highlight the title and select the Copy Password to Clipboard menu item. You can then paste the password into whichever Windows application requires it. (If the application does not provide a Copy command on its menu, you can still paste by hitting Control-V or Shift-Insert.)

By default, the clipboard will be cleared when you close Password Safe.


Password Safe Overview

Password Safe Main Window

The main window consists of a menu bar, a toolbar, and the entries of the current database.

The Menubar

The menubar has the following items:

File

For reading and writing PasswordSafe databases. You can create a new database, open an existing one, save the current database, under the existing name or with a new name, and export the database, either to the old, version 1.7, format, or as a text file, readable by a text editor or spreadsheet application.

Open

Select this menu item open a different password database. You will be prompted to save the current database if necessary/desired. You can see the name of the current database at the top of the main window.

Save

Select this menu item to save the current password database.

Save As

Select this item to save the current password database under a different name. A version under the old name (without the most recent changes) will still exist.

Edit

For adding a new entry, editing or viewing an existing entry, deleting an entry, and searching for entries containing given text. Also for copying the password or username of an entry to the clipboard, and for clearing the clipboard.

Add Entry

Select this menu item to add a password to the current database.

Edit/View Entry

Select this menu item to view or change an entry.

Delete Entry

To delete an item, highlight its title and select this menu item.

Copy Password to Clipboard

To copy a password to the Windows clipboard, just double-click on the desired title. Or, you can highlight the title and select the Copy Password to Clipboard menu item. You can then paste the password into whichever Windows application requires it. (If the application does not provide a Paste command on its menu, you can still paste by hitting Control-V or Shift-Insert.)
By default, the clipboard will be cleared when you exit or minimize Password Safe.

Copy Username to Clipboard

To copy a username to the Windows clipboard, highlight the title and select the Copy Username to Clipboard menu item. You can then paste the password into whichever Windows application requires it. (If the application does not provide a Paste command on its menu, you can still paste by hitting Control-V or Shift-Insert.)
By default, the clipboard will be cleared when you exit or minimize Password Safe.

Clear Clipboard

To securely clear a password from the Windows clipboard, select the Clear Clipboard menu item. If another application has copied data to the clipboard, the clipboard will not be cleared.

View

For selecting how the password entries will be displayed. Either as a list, or as a heirarchical tree.

Manage

For changing the safe combination (master password) of the currently open database, making a backup copy or restoring from a backup copy, and for setting various options.

Change Safe Combination

Select this menu item to change the Password Safe combination for the current database. Type the combination in the box marked "Safe Combination," then again in the box marked "verify." Then click OK. The OK button will only be activated if you typed the same Safe Combination in the same case both times.

Make Backup

Choose this item to make a backup of the current password database.

Restore from Backup

Select this menu item to restore a previously made backup of a database. The restored version will be unnamed. You will have to give it a name in the Save As dialog if you wish to keep it.

Options

The options dialog box is described here.

Help

Help - For accessing the online help, and for showing the version of the PasswordSafe application.

The Toolbar

The toolbar consists of buttons that provide shortcuts to the most commonly used functions. Move the cursor over a button to get a short description of what it does.

The Entries

Depending on the currently selected view, the entries are either displayed as a flat list, or a tree. When displayed as a list, the entries can be sorted according to the displayed fields by clicking on the title of the desired column. When displayed as tree, the entries can be arranged by catergory, sub-category, etc., providing a means to group related passwords together.


Safe Combination Window

 Safe Combination Entry

This window appears when you start up Password Safe and whenever you open a different database or restore a backup. Enter your safe combination and click OK. Safe combinations are case sensitive; "hello" is different from "HELLO".

If you enter the safe combination incorrectly three times, the Safe Combination Entry Error window will appear. This window lets you try to open another database or start a new one.


Safe Combination Change Window

 Safe Combination Change

Use this window to change your Safe Combination for the current database. You will need to enter the old Safe Combination, then enter the new combination twice. The combinations will be masked by asterisks. The combinations are case sensitive; the safe combination "e;hello"e; is different from "e;HELLO"e;.


 Safe Combination Entry Error

This window appears if the Safe Combination has been entered incorrectly three times. If you just mistyped your safe combination, you can choose to try again. You can also choose to browse for another database to open or to create another, completely new, database.

If you've forgotten your safe combination, just leave that database for now. You'll be able to reopen this database later if you remember your combination. Unfortunately, nothing can be done if you forget your password entirely. The security of this system rests on the fact that the database cannot be recovered without the password.


Add Data Window

Add Entry

In this window, you can add a new entry to the current database. The fields in this window are as follows:

The Group field allows you to organize your entries into logical groups. All entries with the same group value will appear under the group in the Tree view of the main window. Note that a heirarchy of groups can be defined, with sub-groups separated by periods. For example, "Finance.Banks" will place an entry in the Banks subgroup of the Finance group. This field is optional, and leaving it empty will place the item in the top-level group.
The Title field is the name by which the entry will be displayed. This field cannot be blank.
The Username field is used to store the username associated with this entry. If you've set a default username in the Options dialog box, this will appear here. Later, you can copy the username to the clipboard.
The Password field is where the password defined for this entry is set. If you press the "Generate Random Password" button, this field will be filled with a password that is randomly generated according to the rules set in the Password Policy Options. This field cannot be blank.
You can use the Notes field for any other information you need to remember about this item -- such as a URL or phone number. If you enter a URL beginning with "http://" or "https://", then you will be able to browse to this URL directly by right-clicking on the entry from the main window.


Edit/View Data Window

Edit/View Entry

In this window, you can change the information you've stored for an entry. By default, the password will be replaced with a line of asterisks. To view your existing password, hit "Show Password." (This can be changed via the "Show password by default in edit mode" option.

For a description of the fields in this dialog box, see the Add Entry help topic.

If you make a mistake and want to leave this window without saving your changes, hit "Cancel." To save changes, click the "OK" button.


Password Safe Options

The configurable options are divided into the following categories:
Display - options that affect how PasswordSafe is displayed
Security - options pertaining to the security of the application
Password Policy - Define the properties of automatically generated passwords
Username - Define a default username for new entries
Misc - Various settings

Display

Always keep PasswordSafe on top - When this is selected, PasswordSafe will always be visible.
Show Password in display list - When this is selected, a column is added in the list view, showing the password for each entry. This option is not recommended, as it opens a potential security hole.
Show password by default in edit mode - Selecting this option will cause passwords to be displayed in the Edit/View Entry dialog box. By default, a row of asterisks ('*****') is displayed unless the "Show Password" button is pressed.

Security

Clear the clipboard upon minimize or exit - If you check this option, the clipboard will be cleared when you minimize or exit PasswordSafe.

Lock password database on minimize - If you check this option, sensitive information such as your safe combination and the names of the items will be cleared from memory when Password Safe is minimized. When Password Safe is restored, you will be prompted for the Safe Combination.

Confirm password database save on minimize - If you check this option, Password Safe will remind you when it automatically saves the password database on minimize. Unchecked, the password database will be automatically saved.

Confirm item copy to clipboard - If you check this option, Password Safe will notify you when a password is copied to the clipboard. Once you've gotten used to how Password Safe works, you will probably want to uncheck this option.

Password Policy

Default password length - This field determines the length of the password generated by the "Generate Random Password" button in the Edit/View Entry and Add Entry dialog boxes. The minimum length is 4 characters, and the maximum, 1024.

Use lowercase letters - Check this option if you wish generated passwords to include lowercase letters.

Use UPPERCASE letters - Check this option if you wish generated passwords to include uppercase (capital) letters.

Use digits - Check this option if you wish generated passwords to include digits (0-9).

Use symbols (i.e., ,%,$, etc.) - Check this option if you wish generated passwords to include characters asides from letters and digits.

Use only easy-to-read characters (i.e., without "0" and "O") - Checking this option will result in generated passwords to be without characters that are visually similar, such as the digit zero and capital O, one and lowercase ell, etc. This is especially useful if you do not copy&paste passwords, but rather display them and enter them manually.

Username

Use a default username - If this option is checked, the username entered in the field below will be automatically inserted into the username field in the Add dialog box. Also, if a username field is left blank, the default name will be inserted.

Query user to set username as default - If this option is checked, whenever you enter a username for a new item and there is no default username, you will be prompted to set it as the default username if desired. See above for more information about default usernames.

Misc

Confirm deletion of items - When this option is checked, PasswordSafe will confirm that you want to remove the selected item when you issue the Delete command.

Save database immediately after Edit or Add - Checking this option will cause PasswordSafe to write changes to the database immediately, rather than waiting for an explicit Save or Save As command.